#!/bin/bash

JUSTE_UNE_SECONDE=1

funky ()
{ # C'est aussi simple que les fonctions get.
  echo "Ceci est la fonction funky."
  echo "Maintenant, sortie de la fonction funky."
} # La déclaration de la fonction doit précéder son appel.


fun ()
{ # Une fonction un peu plus complexe.
  i=0
  REPETITION=30

  echo
  echo "Et maintenant, les choses drôles commencent."
  echo

  sleep $JUSTE_UNE_SECONDE    # Hé, attendez une seconde !
  while [ $i -lt $REPETITION ]
  do
    echo "----------FONCTIONS----------&gt;"
    echo "&lt;---------AMUSANTES----------"
    echo
    let "i+=1"
  done
}

  # Maintenant, appelons les fonctions.

funky
fun

exit 0
